Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdEJournal

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdEJournal

    public class cmdEJournal
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdEJournal.EJ_Document` | Class to hold results of Search documents in EJ by date
  `static class` | `cmdEJournal.EJ_ParamRange` | Class to hold input/output put parameters for search
  `static class` | `cmdEJournal.EjDocumentType` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdEJournal()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `EJ_PrintDocument​(java.lang.String docNum, cmdEJournal.EjDocumentType documentType)` |
  `cmdEJournal.EJ_Document` | `EJ_SearchDocumentsByDate​(java.lang.String StartDate, java.lang.String EndDate, cmdEJournal.EjDocumentType ejDocumentType)` |
  `int` | `EJ_SetDocumentToRead​(java.lang.String DocNum, cmdEJournal.EjDocumentType ejDocumentType)` | Set document to read;
  `int` | `get_Documents_ByNumbersRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange range, java.lang.String[] readedDocs)` |
  `int` | `getProgressCounterDocs()` |
  `int` | `getProgressCounterLines()` |
  `boolean` | `isUserBreak()` |
  `int` | `print_Documents_ByNumbersRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange range)` | Print document;
  `cmdEJournal.EJ_ParamRange` | `set_SearchDocuments_ByDateRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange in_range)` |
  `void` | `setUserBreak​(boolean userBreakPrint)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdEJournal

    public cmdEJournal()

- ## Method Details

  - ### EJ_SearchDocumentsByDate

    public cmdEJournal.EJ_Document EJ_SearchDocumentsByDate​(java.lang.String StartDate, java.lang.String EndDate, cmdEJournal.EjDocumentType ejDocumentType) throws java.io.IOException, FiscalException
    Parameters:
      `StartDate` -
      `EndDate` -
      `ejDocumentType` -
    Returns:
      Documents found by number in a time range
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`

  - ### EJ_PrintDocument

    public int EJ_PrintDocument​(java.lang.String docNum, cmdEJournal.EjDocumentType documentType) throws java.io.IOException, FiscalException
    Parameters:
      `docNum` -
      `documentType` -
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### EJ_SetDocumentToRead

    public int EJ_SetDocumentToRead​(java.lang.String DocNum, cmdEJournal.EjDocumentType ejDocumentType) throws java.io.IOException, FiscalException
    Set document to read;
    Parameters:
      `DocNum` -
      `ejDocumentType` -
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### set_SearchDocuments_ByDateRange

    public cmdEJournal.EJ_ParamRange set_SearchDocuments_ByDateRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange in_range) throws java.io.IOException, FiscalException
    Parameters:
      `ejDocumentType` -
      `in_range` - Date/Time range to search
    Returns:
      Documents by numbers founded in range StartDate - Start date for searching, see DateTime format described at the beginning of the document; * EndDate - End date for searching, see DateTime format described at the beginning of the document; * FirstDoc - First document in the period, depending "Type" (1...99999999); * LastDoc - Last document in the period, depending "Type" (1...99999999);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### get_Documents_ByNumbersRange

    public int get_Documents_ByNumbersRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange range, java.lang.String[] readedDocs) throws java.io.IOException, FiscalException
    Parameters:
      `ejDocumentType` -
      `range` -
      `readedDocs` -
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### print_Documents_ByNumbersRange

    public int print_Documents_ByNumbersRange​(cmdEJournal.EjDocumentType ejDocumentType, cmdEJournal.EJ_ParamRange range) throws java.io.IOException, FiscalException
    Print document;
    Parameters:
      `ejDocumentType` -
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### isUserBreak

    public boolean isUserBreak()
    Returns:

  - ### setUserBreak

    public void setUserBreak​(boolean userBreakPrint)
    Parameters:
      `userBreakPrint` -

  - ### getProgressCounterDocs

    public int getProgressCounterDocs()

  - ### getProgressCounterLines

    public int getProgressCounterLines()